Bug 1701949 - python2-gerrit-view fails to install due to missing dependencies
Summary: python2-gerrit-view fails to install due to missing dependencies
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-gerrit-view
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kashyap Chamarthy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2FTBI F31FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-04-22 14:29 UTC by Miro Hrončok
Modified: 2019-06-24 22:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-24 22:18:17 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-04-22 14:29:32 UTC
$ mock -r fedora-rawhide-x86_64 install python2-gerrit-view
...
Error: 
 Problem: conflicting requests
  - nothing provides python2-urwid needed by python2-gerrit-view-0.3.2-11.fc30.noarch
  - nothing provides python2.7dist(urwid) needed by python2-gerrit-view-0.3.2-11.fc30.noarch


Please fix this or remove the package.

Comment 1 Miro Hrončok 2019-04-29 20:06:13 UTC
A week has passed and this bug is still in the NEW state and the package does not install.

Please fix this or indicate that you are working ona  fix by setting the state to ASSIGNED.

After 3 such reminders, this package may be orphaned.

https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

Thanks

Comment 2 Miro Hrončok 2019-05-06 14:16:50 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

(My previous comment might have come across a bit too aggressive. I'm sorry, that was not my intention.)

(If you know for sure this package shall be removed, consider doing it.)

Thank You!

Comment 3 Kashyap Chamarthy 2019-05-08 08:12:35 UTC
(In reply to Miro Hrončok from comment #2)

[...]

Hi Miro,

> This bug is still in the NEW state and the package does not install. Please
> indicate you are working on a fix by setting the state to ASSIGNED. When
> this bug is four weeks in the NEW state, the package may be orphaned.

Sorry for the delayed response -- I was travelling, and just catching up with Bugzilla work.  I'll get to this as soon as I can (most likely early next week).

> Note that you don't have to actually fix this right now, setting the bug to
> ASSIGNED will just mark this as being worked on, so I'll know it is being
> taken care of. If this happens too quickly, feel free to reach to me any
> time for help (with specific problems).

Done -- I set it to ASSIGNED.

[...]

Comment 4 Miro Hrončok 2019-06-18 21:00:25 UTC
Kashyap, any progress here?

Comment 5 Kashyap Chamarthy 2019-06-19 08:22:27 UTC
(In reply to Miro Hrončok from comment #4)
> Kashyap, any progress here?

Fixed in Rawhide:

https://src.fedoraproject.org/rpms/python-gerrit-view/c/b7feccd21e28fbdff273c568b9626fedf13b22c0?branch=master

https://koji.fedoraproject.org/koji/taskinfo?taskID=35627979

Sorry for the delay.


Note You need to log in before you can comment on or make changes to this bug.